[Résolu] Impossible de se connecter à l’interface admin après MAJ automatique WP 4.9.9

  • WordPress :5.0
  • Statut : résolu
7 sujets de 1 à 7 (sur un total de 7)
  • Auteur
    Messages
  • #2233998
    NMW_NMW
    Participant
    Initié WordPress
    4 contributions

    Ma configuration WP actuelle

    (je n’arrive pas à trouver les autres détails vu que je ne peux plus me connecter)

    Problème(s) rencontré(s) :

    Bonjour,

    j’ai reçu un mail ce matin m’annonçant que mon site avait été mis à jour automatiquement vers WordPress 4.9.9

    Depuis, j’ai une ligne de message d’erreur qui s’affiche tout en haut de ma page, et le même message s’affiche lorsque
    j’essaie de me connecter à mon interface d’administration, à laquelle je ne peux plus accéder.

    <b>Warning</b>: Use of undefined constant REQUEST_URI – assumed ‘REQUEST_URI’ (this will throw an Error in a future version of PHP) in <b>/homepages/39/d748169492/htdocs/clickandbuilds/NoMoreWinters258507/wp-content/themes/one-page-express/functions.php</b> on line <b>73</b>

    #2234005
    C_Lucien
    Modérateur
    Maître WordPress
    3602 contributions

    Bonjour,

    le site a-t-il été installé avec l’option « 1-Clic » de 1&1 ? Je lis régulièrement sur ce forum les problèmes que pose tôt ou tard ce type de « facilité ».

    Ne sachant pas comment repartir sur une base saine chez 1&1, je vous propose de faire une recherche sur ce forum ou bien voir du côté du support 1&1. Désolé, d’autres sauront faire une suggestion plus technique.

    #2234373
    NMW_NMW
    Participant
    Initié WordPress
    4 contributions

    Bonjour et merci pour la réponse !

    Je ne sais plus, je crois que le 1-Clic avait déconné au premier essai, impossible de me rappeler si j’avais fini par faire une install manuelle ou si j’avais retenté avec leur outil. Je vais les contacter pour voir, sait-on jamais !

    #2234386
    NMW_NMW
    Participant
    Initié WordPress
    4 contributions

    Rebonjour,

    c’était donc bien une installation manuelle.

    #2234397
    C_Lucien
    Modérateur
    Maître WordPress
    3602 contributions

    C’est le chemin du fichier ‘htdocs/clickandbuilds’ qui m’a fait penser à l’installation automatique.

    Le fichier functions.php d’origine à la racine du thème ne comporte que 43 lignes.

    Un autre fichier functions.php figure dans le dossier /one-page-express/inc/

    Dans aucun de ces deux fichiers, ne se trouve l’expression “REQUEST_URI”.

    Y a-t-il eu des modifications du thème sans passer par un thème enfant ? Le cas échéant, voir https://codex.wordpress.org/fr:Thèmes_Enfant

    Il faudrait sauvegarder le dossier du thème à part, supprimer le dossier, activer un thème par défaut et réinstaller one-page-express depuis la source, pour voir.

    #2234424
    NMW_NMW
    Participant
    Initié WordPress
    4 contributions

    J’ai réussi à solutionner le problème en supprimant le thème et en le réinstallant. Il est possible que je l’aie modifié sans m’en rappeler et sans passer par un thème enfant. Mais même si c’est le cas, j’avais exactement le même message concernant la même ligne lorsque j’activais TwentySeventeen et TwentySixteen, que je suis sûr de ne pas avoir modifiés.

    Bon, en tout cas, c’est résolu, et c’est ce qui m’importait 🙂

    Merci beaucoup pour la réponse, ça m’a fait du bien et ça m’a aiguillé vers la solution !

    Bonne soirée et merci encore,

    Tim

    #2241207
    Anonyme
    Inactif
    Initié WordPress
    26 contributions

    Pour info je viens d’avoir le même problème, il suffit de mettre des guillemets

    avant = $path = $_SERVER[‘HTTP_HOST’] . $_SERVER[REQUEST_URI];

    après = $path = $_SERVER[‘HTTP_HOST’] . $_SERVER[‘REQUEST_URI’];

    J’ai pu revenir à mon administration, voilà si ça peut aider quelqu’un

7 sujets de 1 à 7 (sur un total de 7)
  • Vous devez être connecté pour répondre à ce sujet.